Main Page Modules Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACEXML_Attribute_Def_Builder Class Reference

An abstract virtual class defining an interface for building an attribute definition from DTD. More...

`#include "common/Attributes_Def_Builder.h"`

Inheritance diagram for ACEXML_Attribute_Def_Builder:

[legend]
List of all members.

## Public Types
typedef auto_ptr< ACEXML_Attribute_Def_Builder > | VAR
enum | ATT_TYPE { CDATA, ID, IDREF, IDREFS, ENTITY, ENTITIES, NMTOKEN, NMTOKENS, NOTATION, ENUMERATION, ERROR_TYPE }
enum | DEFAULT_DECL { REQUIRED, IMPLIED, FIXED, INVALID }
## Public Methods
virtual | ~ACEXML_Attribute_Def_Builder ()=0
virtual int | setName (const ACEXML_Char *n)=0
virtual const ACEXML_Char * | getName (void)=0
virtual int | setAttType (const ATT_TYPE type ACEXML_ENV_ARG_DECL) ACE_THROW_SPEC((ACEXML_SAXException))=0
virtual int | insertList (const ACEXML_Char *Name ACEXML_ENV_ARG_DECL) ACE_THROW_SPEC((ACEXML_SAXException))=0
virtual int | setDefault (const DEFAULT_DECL def, const ACEXML_Char *value ACEXML_ENV_ARG_DECL) ACE_THROW_SPEC((ACEXML_SAXException))=0
virtual int | validAttr (void)=0
virtual void | dump (void)=0

## Detailed Description

An abstract virtual class defining an interface for building an attribute definition from DTD.

This class should be invisible to application programmers and is only used for validator implementors.

## Member Typedef Documentation

typedef auto_ptr<ACEXML_Attribute_Def_Builder> ACEXML_Attribute_Def_Builder::VAR

## Member Enumeration Documentation

enum ACEXML_Attribute_Def_Builder::ATT_TYPE

  | Enumeration values:
  CDATA |
  ID |
  IDREF |
  IDREFS |
  ENTITY |
  ENTITIES |
  NMTOKEN |
  NMTOKENS |
  NOTATION |
  ENUMERATION |
  ERROR_TYPE |

enum ACEXML_Attribute_Def_Builder::DEFAULT_DECL

  | Enumeration values:
  REQUIRED |
  IMPLIED |
  FIXED |
  INVALID |

## Constructor & Destructor Documentation

ACEXML_Attribute_Def_Builder::~ACEXML_Attribute_Def_Builder | ( |  | ) | `[pure virtual]`

## Member Function Documentation

virtual void ACEXML_Attribute_Def_Builder::dump | ( | void |  | ) | `[pure virtual]`

| Dump the content of the attribute definition. Reimplemented in ACEXML_Debug_Attribute_Builder.

virtual const ACEXML_Char* ACEXML_Attribute_Def_Builder::getName | ( | void |  | ) | `[pure virtual]`

| Get the name of the attribute. Reimplemented in ACEXML_Debug_Attribute_Builder.

virtual int ACEXML_Attribute_Def_Builder::insertList | ( | const ACEXML_Char *Name | ACEXML_ENV_ARG_DECL | ) | `[pure virtual]`

| Insert an element for NOTATION or ENUMERATION type attribute. Reimplemented in ACEXML_Debug_Attribute_Builder.

virtual int ACEXML_Attribute_Def_Builder::setAttType | ( | const ATT_TYPE type | ACEXML_ENV_ARG_DECL | ) | `[pure virtual]`

| Set the attribute type. Reimplemented in ACEXML_Debug_Attribute_Builder.

virtual int ACEXML_Attribute_Def_Builder::setDefault | ( | const DEFAULT_DECL | def,
|  | const ACEXML_Char *value | ACEXML_ENV_ARG_DECL_NOT_USED
| ) | `[pure virtual]`

| Set default attribute declaration. Reimplemented in ACEXML_Debug_Attribute_Builder.

virtual int ACEXML_Attribute_Def_Builder::setName | ( | const ACEXML_Char * | n | ) | `[pure virtual]`

| Specify the name of the attribute. Reimplemented in ACEXML_Debug_Attribute_Builder.

virtual int ACEXML_Attribute_Def_Builder::validAttr | ( | void |  | ) | `[pure virtual]`

  | Check validity of the current attribute definition being built. Return values:
  0 | if the attribute is not a valid combo.
Reimplemented in ACEXML_Debug_Attribute_Builder.

The documentation for this class was generated from the following files:

- Attributes_Def_Builder.h
- Attributes_Def_Builder.cpp